org.codehaus.groovy.ast.expr

## Class RegexExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.RegexExpression

Deprecated.

    @Deprecated
    public class RegexExpression
    extends Expression

Represents a regular expression of the form ~<double quoted string> which creates a regular expression.

Version:
  $Revision$
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`RegexExpression(Expression string)` Deprecated.

### Method Summary

Methods
`Expression` `getRegex()` Deprecated.
`Expression` `transformExpression(ExpressionTransformer transformer)` Deprecated. Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)` Deprecated.

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegexExpression

    public RegexExpression(Expression string)

Deprecated.

### Method Detail

#### visit

    public void visit(GroovyCodeVisitor visitor)

Deprecated.

Overrides:
  `visit` in class `ASTNode`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Deprecated.
Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`

#### getRegex

    public Expression getRegex()

Deprecated.